Bug 29430 - IrLMP does not detect Siemens S35i mobile phone
IrLMP does not detect Siemens S35i mobile phone
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-25 15:37 EST by Hermann Schichl
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 19:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hermann Schichl 2001-02-25 15:37:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.23 i686)


after loading the irda modules, first a warning is issued:
  Warning: /lib/modules/2.4.0-0.99.23/kernel/net/irda/irda.o symbol for
parameter
irda_debug not found
then detection of the Siemens S35i with switched on IR (checked with 2
different
mobile phones) does not work. It is not reported in
/proc/net/irda/discovery.
Furthermore, as expected, attaching the modem does not work,...

Reproducible: Always
Steps to Reproduce:
1. load modules (follow the Infrared-HOWTO)
2. switch on IR on Siemens S35i put the sensors near each other
3. cat /proc/net/irda/discovery
	

Expected Results:  IrLMP should have detected the Siemens S35i within at
most one
minute. Afterwards cat /proc/net/irda/discovery should have shown
the detected mobile phone.

It neither works with 2.4.0-0.99.11 nor with 2.4.0-0.99.23.
It had worked w/o problems with 2.2.16 from RedHat 7.0.

System is a Asus L8400C laptop. At the end a complete dmesg
dump is included.

lsmod:
irtty                     5680   0  (unused)
irda                     87216   0  [irtty]
maestro3              25024   1  (autoclean)
ac97_codec         7888   0  (autoclean) [maestro3]
soundcore            4336   2  (autoclean) [maestro3]
appletalk              19104  12  (autoclean)
parport_pc            17808   1  (autoclean)
lp                        5584   1  (autoclean)
parport                 24768   1  (autoclean) [parport_pc lp]
ds                       7216   2
i82365                 12832   2
pcmcia_core         42720   0  [ds i82365]
autofs                  11152   1  (autoclean)
8139too               16544   1  (autoclean)
agpgart                23360   0  (unused)
nls_iso8859-1      2880   1  (autoclean)
nls_cp437            4384   1  (autoclean)
vfat                     11408   1  (autoclean)
fat                       32032   0  (autoclean) [vfat]
usb-uhci             22176   0  (unused)
usbcore               48976   1  [usb-uhci]

from /var/log/messages:
Feb 25 21:01:33 isengard irattach: tcsetattr: Input/output error
Feb 25 21:01:33 isengard 1.1 Tue Nov  9 15:30:55 1999 Dag Brattli
Feb 25 21:01:33 isengard irattach: 1.1 Tue Nov  9 15:30:55 1999 Dag Brattli
Feb 25 21:01:33 isengard irattach: 1.1 Tue Nov  9 15:30:55 1999 Dag Brattli
Feb 25 21:01:33 isengard irda: irattach startup succeeded
Feb 25 21:01:51 isengard kernel: IrCOMM protocol (Dag Brattli)

dmesg:
Linux version 2.4.0-0.99.23 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.0)) #1 Tue Feb 6 02:34:20 EST 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009f400 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000c00 @ 000000000009f400 (reserved)
 BIOS-e820: 0000000000016c00 @ 00000000000e9400 (reserved)
 BIOS-e820: 0000000007ef0000 @ 0000000000100000 (usable)
 BIOS-e820: 000000000000fc00 @ 0000000007ff0000 (ACPI data)
 BIOS-e820: 0000000000000400 @ 0000000007fffc00 (ACPINVS)
 BIOS-e820: 0000000000016c00 @ 00000000fffe9400 (reserved)
On node 0 totalpages: 32752
zone(0): 4096 pages.
zone(1): 28656 pages.
zone(2): 0 pages.
Kernel command line: auto BOOT_IMAGE=Linux ro root=306
BOOT_FILE=/boot/vmlinuz
Initializing CPU#0
Detected 651.485 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1300.88 BogoMIPS
Memory: 126552k/131008k available (998k kernel code, 4068k reserved, 387k
data, 220k init, 0k highmem)
Dentry-cache hash table entries: 16384 (order: 5, 131072 bytes)
Buffer-cache hash table entries: 4096 (order: 2, 16384 bytes)
Page-cache hash table entries: 32768 (order: 5, 131072 bytes)
Inode-cache hash table entries: 8192 (order: 4, 65536 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU: Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 03
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfd9a6, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI: Found IRQ 9 for device 00:0a.0
PCI: The same IRQ used for device 01:00.0
  got res[10000000:10000fff] for resource 0 of Ricoh Co Ltd RL5c476 II
  got res[10001000:10001fff] for resource 0 of Ricoh Co Ltd RL5c476 II (#2)
Limiting direct PCI/PCI transfers.
isapnp: Scanning for Pnp cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
DMI 2.1 present.
27 structures occupying 908 bytes.
DMI table at 0x000F00F0.
BIOS Vendor: Phoenix Technologies LTD
BIOS Version: 0110
BIOS Release: 11/09/00
System Vendor: ASUSTeK Computer Inc..
Product Name: L8400C series Notebook PC.
Version CPU Module, VGA Board.
Serial Number 000000000.
Board Vendor: ASUSTeK Computer Inc..
Board Name: L8400C Main Board.
Board Version:  raoa`.
Asset Tag: No Asset Tag.
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 84045kB/63034kB, 256 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xfcd0-0xfcd7, BIOS settings: hda:pio, hdb:DMA
hda: IBM-DJSA-220, ATA DISK drive
hdb: TOSHIBA DVD-ROM SD-C2402, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: 39070080 sectors (20004 MB) w/1874KiB Cache, CHS=2584/240/63, UDMA(33)
Partition check:
 hda: hda1 hda2 hda3 < hda5 hda6 hda7 hda8 hda9 hda10 > hda4
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
LVM version 0.9  by Heinz Mauelshagen  (13/11/2000)
lvm -- Driver successfully initialized
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
atp.c:v1.09 8/9/2000 Donald Becker <becker@scyld.com>
  http://www.scyld.com/network/atp.html
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 8192 bind 8192)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 220k freed
Adding Swap: 264560k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 02:45:06 Feb  6 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 9 for device 00:07.2
PCI: The same IRQ used for device 00:08.0
usb-uhci.c: USB UHCI at I/O 0xfce0, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 94M
agpgart: Detected Intel 440BX chipset
agpgart: AGP aperture is 64M @ 0xf8000000
8139too Fast Ethernet driver 0.9.14a loaded
PCI: Found IRQ 9 for device 00:08.0
PCI: The same IRQ used for device 00:07.2
eth0: RealTek RTL8139 Fast Ethernet at 0xc886bc00, 00:e0:18:19:7f:ba, IRQ 9
eth0:  Identified 8139 chip type 'RTL-8139C'
eth0: Setting half-duplex based on auto-negotiated partner ability 0000.
Linux PCMCIA Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
Intel PCIC probe:
  Intel i82365sl B step ISA-to-PCMCIA at port 0x3e0 ofs 0x00, 2 sockets
    host opts [0]: none
    host opts [1]: none
    ISA irqs (default) = 3,4,5,7,10,11,12,15 polling interval = 1000 ms
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0800-0x08ff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f 0x398-0x39f
0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
parport0: PC-style at 0x378[PCSPP,TRISTATE]
parport0: cpp_daisy: aa5500ff(18)
parport0: assign_addrs: aa5500ff(18)
parport0: cpp_daisy: aa5500ff(18)
parport0: assign_addrs: aa5500ff(18)
lp0: using parport0 (polling).
lp0: console ready
NET4: AppleTalk 0.18 for Linux NET4.0
maestro3: version 1.20 built at 02:44:42 Feb  6 2001
PCI: Found IRQ 10 for device 00:06.0
PCI: The same IRQ used for device 00:06.1
maestro3: Configuring ESS Allegro found at IO 0xF800 IRQ 10
maestro3:  subvendor id: 0x10491043
ac97_codec: AC97 Audio codec, id: 0x4583:0x8308 (Unknown)
IrCOMM protocol (Dag Brattli)

BTW. this dmesg dump contains a further seems-to-me-bug. The
        'Board Version:' string contains unprintable characters, which
        are also printed at boot time.
Comment 1 Arjan van de Ven 2001-02-26 05:16:10 EST
Can you try with the Wolverine kernel (2.4.1-0.1.9), this kernel has several
IrDA related bugfixes.

Note You need to log in before you can comment on or make changes to this bug.